Bug 885709 - change admin password failed in single mode after enabled iSCSI boot
Summary: change admin password failed in single mode after enabled iSCSI boot
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ovirt-node
Version: 6.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Joey Boggs
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: 520111
TreeView+ depends on / blocked
 
Reported: 2012-12-10 13:08 UTC by haiyang,dong
Modified: 2014-02-25 11:15 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-25 11:15:52 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description haiyang,dong 2012-12-10 13:08:45 UTC
Description of problem:
Auto install RHEV-H missed to create appvg with "iscsi_install" parameter.
BOOTIF=eth0 storage_init=/dev/sda,/dev/sdb iscsi_init=/dev/sdb iscsi_target_name=iqn.2008-09.com.redhat:rhevh iscsi_install iscsi_server=10.66.72.61:3260
firstboot
After auto install success, check that:
passed admin failed with error info:
passwd: Authentication token manipulation error

No this issue in rescue mode

Version-Release number of selected component (if applicable):
rhev-hypervisor6-6.4-20121126.0.el6

How reproducible:
100%
  
Steps to Reproduce:
1.Auto install rhev-h with 
with "BOOTIF=eth0 storage_init=/dev/sda,/dev/sdc;/dev/sdb iscsi_init=/dev/sdc iscsi_target_name=iqn.2008-09.com.redhat:rhevh iscsi_install iscsi_server=10.66.72.61:3260
 firstboot" parameter

Actual result:
passwd admin failed in single mode after enabled iSCSI boot 

Expect result:
passwd admin should success in single mode after enabled iSCSI boot

Comment 1 haiyang,dong 2012-12-10 13:14:46 UTC
Also using /usr/libexec/ovirt-config-password to set admin user password failed with error "passwd: Authentication token manipulation error" in single mode after enabled iSCSI boot

Comment 6 haiyang,dong 2012-12-19 07:12:13 UTC
Test version:
rhev-hypervisor6-6.4-20121212.1.el6 
ovirt-node-2.5.0-11.el6

Tested as follows:
1. enabled iSCSI boot
2. enter single mode
3. using /usr/libexec/ovirt-config-password to set admin user password

Test result as same with comment 4, Using ovirt-config-password to change admin password still failed in single mode after enabled iSCSI boot.

so need re-assigned this bug.

Comment 10 haiyang,dong 2013-11-05 09:27:24 UTC
Test version:
rhev-hypervisor6-6.5-20131031.1
ovirt-node-3.0.1-7.el6.noarch

Tested as follows:
1. enabled iSCSI boot
2. enter single mode
3. using /usr/libexec/ovirt-config-password to set admin user password

Using ovirt-config-password to change admin password success in single mode after enabled iSCSI boot.
so this bug has been fixed, i will verify it after it's status changed into "ON_QA"

Comment 11 Fabian Deutsch 2014-02-21 14:01:38 UTC
Dong,

could you please check if this bug is fixed on the latest RHEV-H build?

Comment 13 haiyang,dong 2014-02-22 10:07:05 UTC
(In reply to Fabian Deutsch from comment #11)
> Dong,
> 
> could you please check if this bug is fixed on the latest RHEV-H build?

According to comment 10, change the status into "verified".


Note You need to log in before you can comment on or make changes to this bug.